FROM registry.yaltik.net/odoo:yaltikbase15
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# External code
WORKDIR /opt/odoo/extra-addons
RUN git clone --depth 1 -b 15.0 https://github.com/OCA/community-data-files && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/l10n-france && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/queue && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/partner-contact && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/social && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/server-brand && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/web && \
      git clone --depth 1 -b 15.0 https://github.com/OCA/website && \
      git clone --depth 1 -b 15.0 https://github.com/muk-it/muk_web

# Custom code
WORKDIR /opt/odoo/custom-addons
RUN git clone --depth 1 -b 15.0 https://git.yaltik.net/Yaltik/yaltik_odoo_custom.git

WORKDIR /opt/odoo

# Addons dependencies
RUN .local/bin/pip3 install --user git+https://github.com/OCA/openupgradelib.git@3.3.2
